Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/LaggedVariableView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/LaggedVariableView.Designer.cs	(revision 14185)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/LaggedVariableView.Designer.cs	(revision 14826)
@@ -63,4 +63,5 @@
       // weightInitializationMuTextBox
       // 
+      this.weightInitializationMuTextBox.Size = new System.Drawing.Size(293, 20);
       this.toolTip.SetToolTip(this.weightInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
         "al weights.");
@@ -69,5 +70,5 @@
       // 
       this.initializationGroupBox.Location = new System.Drawing.Point(6, 7);
-      this.initializationGroupBox.Size = new System.Drawing.Size(379, 73);
+      this.initializationGroupBox.Size = new System.Drawing.Size(391, 73);
       // 
       // weightSigmaLabel
@@ -77,4 +78,5 @@
       // weightInitializationSigmaTextBox
       // 
+      this.weightInitializationSigmaTextBox.Size = new System.Drawing.Size(293, 20);
       this.toolTip.SetToolTip(this.weightInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
         "weights.");
@@ -83,8 +85,9 @@
       // 
       this.mutationGroupBox.Location = new System.Drawing.Point(6, 86);
-      this.mutationGroupBox.Size = new System.Drawing.Size(379, 73);
+      this.mutationGroupBox.Size = new System.Drawing.Size(391, 95);
       // 
       // multiplicativeWeightChangeLabel
       // 
+      this.multiplicativeWeightChangeLabel.TabIndex = 4;
       this.toolTip.SetToolTip(this.multiplicativeWeightChangeLabel, "The sigma parameter for the normal distribution to use to sample a multiplicative" +
         " change in weight.");
@@ -92,4 +95,5 @@
       // multiplicativeWeightChangeSigmaTextBox
       // 
+      this.multiplicativeWeightChangeSigmaTextBox.TabIndex = 5;
       this.toolTip.SetToolTip(this.multiplicativeWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample a multiplica" +
         "tive change in weight.");
@@ -97,4 +101,5 @@
       // additiveWeightChangeLabel
       // 
+      this.additiveWeightChangeLabel.TabIndex = 2;
       this.toolTip.SetToolTip(this.additiveWeightChangeLabel, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
         "change in weight.");
@@ -102,4 +107,5 @@
       // additiveWeightChangeSigmaTextBox
       // 
+      this.additiveWeightChangeSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.additiveWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
         "change in weight.");
@@ -111,14 +117,27 @@
       // parametersTabPage
       // 
-      this.parametersTabPage.Size = new System.Drawing.Size(400, 149);
+      this.parametersTabPage.Size = new System.Drawing.Size(412, 208);
       // 
       // tabControl
       // 
       this.tabControl.Location = new System.Drawing.Point(0, 179);
-      this.tabControl.Size = new System.Drawing.Size(408, 175);
-      this.tabControl.TabIndex = 9;
+      this.tabControl.Size = new System.Drawing.Size(420, 234);
+      this.tabControl.TabIndex = 13;
+      // 
+      // varChangeProbTextBox
+      // 
+      this.varChangeProbTextBox.TabIndex = 1;
+      this.toolTip.SetToolTip(this.varChangeProbTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
+        "change in weight.");
+      // 
+      // varChangeProbLabel
+      // 
+      this.varChangeProbLabel.TabIndex = 0;
+      this.toolTip.SetToolTip(this.varChangeProbLabel, "The probability of changing the referenced variable in [0..1]. Variable reference" +
+        "s are sampled uniformly.");
       // 
       // initialFrequencyLabel
       // 
+      this.initialFrequencyLabel.TabIndex = 2;
       this.toolTip.SetToolTip(this.initialFrequencyLabel, "Relative frequency of the symbol in randomly created trees");
       // 
@@ -126,14 +145,30 @@
       // 
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(323, 20);
+      this.initialFrequencyTextBox.TabIndex = 3;
+      // 
+      // enabledCheckBox
+      // 
+      this.enabledCheckBox.TabIndex = 8;
+      // 
+      // minimumArityLabel
+      // 
+      this.minimumArityLabel.TabIndex = 4;
+      this.toolTip.SetToolTip(this.minimumArityLabel, "The minimum arity of the symbol");
+      // 
+      // maximumArityLabel
+      // 
+      this.toolTip.SetToolTip(this.maximumArityLabel, "The maximum arity of the symbol");
       // 
       // minimumArityTextBox
       // 
       this.errorProvider.SetIconAlignment(this.minimumArityTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.minimumArityTextBox.Size = new System.Drawing.Size(315, 20);
+      this.minimumArityTextBox.Size = new System.Drawing.Size(327, 20);
+      this.minimumArityTextBox.TabIndex = 5;
       // 
       // maximumArityTextBox
       // 
       this.errorProvider.SetIconAlignment(this.maximumArityTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.maximumArityTextBox.Size = new System.Drawing.Size(315, 20);
+      this.maximumArityTextBox.Size = new System.Drawing.Size(327, 20);
       // 
       // nameTextBox
@@ -141,4 +176,9 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(302, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(401, 3);
       // 
       // minTimeOffsetLabel
@@ -148,5 +188,5 @@
       this.minTimeOffsetLabel.Name = "minTimeOffsetLabel";
       this.minTimeOffsetLabel.Size = new System.Drawing.Size(81, 13);
-      this.minTimeOffsetLabel.TabIndex = 5;
+      this.minTimeOffsetLabel.TabIndex = 9;
       this.minTimeOffsetLabel.Text = "Min. time offset:";
       // 
@@ -157,30 +197,29 @@
       this.maxTimeOffsetLabel.Name = "maxTimeOffsetLabel";
       this.maxTimeOffsetLabel.Size = new System.Drawing.Size(84, 13);
-      this.maxTimeOffsetLabel.TabIndex = 7;
+      this.maxTimeOffsetLabel.TabIndex = 11;
       this.maxTimeOffsetLabel.Text = "Max. time offset:";
       // 
       // minTimeOffsetTextBox
       // 
-      this.minTimeOffsetTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.minTimeOffsetTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.minTimeOffsetTextBox.Location = new System.Drawing.Point(93, 127);
       this.minTimeOffsetTextBox.Name = "minTimeOffsetTextBox";
-      this.minTimeOffsetTextBox.Size = new System.Drawing.Size(315, 20);
-      this.minTimeOffsetTextBox.TabIndex = 6;
+      this.minTimeOffsetTextBox.Size = new System.Drawing.Size(327, 20);
+      this.minTimeOffsetTextBox.TabIndex = 10;
       this.minTimeOffsetTextBox.TextChanged += new System.EventHandler(this.minTimeOffsetTextBox_TextChanged);
       // 
       // maxTimeOffsetTextBox
       // 
-      this.maxTimeOffsetTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.maxTimeOffsetTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.maxTimeOffsetTextBox.Location = new System.Drawing.Point(93, 153);
       this.maxTimeOffsetTextBox.Name = "maxTimeOffsetTextBox";
-      this.maxTimeOffsetTextBox.Size = new System.Drawing.Size(315, 20);
-      this.maxTimeOffsetTextBox.TabIndex = 8;
+      this.maxTimeOffsetTextBox.Size = new System.Drawing.Size(327, 20);
+      this.maxTimeOffsetTextBox.TabIndex = 12;
       this.maxTimeOffsetTextBox.TextChanged += new System.EventHandler(this.maxTimeOffsetTextBox_TextChanged);
       // 
       // LaggedVariableView
       // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.Controls.Add(this.minTimeOffsetTextBox);
@@ -189,5 +228,6 @@
       this.Controls.Add(this.maxTimeOffsetTextBox);
       this.Name = "LaggedVariableView";
-      this.Size = new System.Drawing.Size(408, 352);
+      this.Size = new System.Drawing.Size(420, 411);
+      this.Controls.SetChildIndex(this.enabledCheckBox, 0);
       this.Controls.SetChildIndex(this.maxTimeOffsetTextBox, 0);
       this.Controls.SetChildIndex(this.minTimeOffsetLabel, 0);
